CALIBRE-DEBUG(1)

NAME
calibre-debug - part of calibre

SYNOPSIS
calibre-debug [options]

DESCRIPTION

Run an embedded python interpreter.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-c, --command
    Run python code.

-e, --exec-file
    Run the python code in file.

-d, --debug-device-driver
    Debug the specified device driver.

-g, --gui
    Run the GUI

--paths
    Output the paths necessary to setup the calibre environment

--migrate
    Migrate old database. Needs two arguments. Path to library1.db and path to new library folder.

--add-simple-plugin
    Add a simple plugin (i.e. a plugin that consists of only a .py file), by specifying the path to the py file containing the plugin code.

--pdfreflow
    Path to PDF file to try and reflow. Output will be placed in current directory.

SEE ALSO
The User Manual is available at http://calibre-ebook.com/user_manual

Created by Kovid Goyal <kovid@kovidgoyal.net>